jenkins:
  systemMessage: |+
     <h1>Jenkins Technical Infrastructure Administration Server</h1>
  myViewsTabBar: "standard"
  projectNamingStrategy: "standard"
  primaryView:
    all:
      name: "all"
  markupFormatter:
    rawHtml:
      disableSyntaxHighlighting: false
  crumbIssuer:
    standard:
      excludeClientIPFromCrumb: true
  globalNodeProperties:
  - envVars:
      env:
      - key: JENKINS_INSTANCE
        value: TIADM
  numExecutors: 4
  quietPeriod: 5
  scmCheckoutRetryCount: 0
  remotingSecurity:
    enabled: true
  securityRealm:
    activeDirectory:
      cache:
        size: 256
        ttl: 600
      customDomain: true
      domains:
      - name: "cern.ch"
        site: "cern"
        tlsConfiguration: JDK_TRUSTSTORE
      groupLookupStrategy: RECURSIVE
      removeIrrelevantGroups: false
      startTls: true
      internalUsersDatabase:
        jenkinsInternalUser: "jenkins"
  slaveAgentPort: ${JENKINS_SLAVE_AGENT_PORT}
unclassified:
  location:
    url: ${JENKINS_URL}
    adminAddress: "TI ADM Jenkins Admin <be-dep-ics-ti-staff@cern.ch>"
  email-ext:
    adminRequiredForTemplateTesting: false
    allowUnregisteredEnabled: false
    charset: "UTF-8"
    debugMode: false
    defaultBody: "$PROJECT_NAME - Build # $BUILD_NUMBER - $BUILD_STATUS:\r\n\r\nCheck\
      \ console output at $BUILD_URL to view the results."
    defaultContentType: "text/plain"
    defaultSubject: "$PROJECT_NAME - Build # $BUILD_NUMBER - $BUILD_STATUS!"
    maxAttachmentSize: -1
    maxAttachmentSizeMb: 0
    precedenceBulk: false
    watchingEnabled: false
  mailer:
    charset: "UTF-8"
    defaultSuffix: "${SMTP_SUFFIX}"
    smtpHost: "${SMTP_HOST}"
    useTls: false
  buildStepOperation:
    enabled: false
  buildDiscarders:
    configuredBuildDiscarders:
    - "jobBuildDiscarder"
  gitSCM:
    createAccountBasedOnEmail: false
    globalConfigEmail: "be.ics.jenkins@cern.ch"
    globalConfigName: "bjenkins"
    showEntireCommitSummaryInChanges: false
    useExistingAccountWithSameEmail: false
  gitLabConnectionConfig:
    connections:
    - apiTokenId: "APITokenGitLab"
      clientBuilderId: "autodetect"
      connectionTimeout: 10
      ignoreCertificateErrors: false
      name: "CERN GitLlab"
      readTimeout: 10
      url: "https://gitlab.cern.ch"
  gitLabServers:
    servers:
    - credentialsId: "bjenkins-gitlab-pat"
      manageSystemHooks: false
      manageWebHooks: ${SETUP_GITLAB_WEBHOOKS} 
      secretToken: ${GITLAB_SECRET_TOKEN}
      name: "cern-gitlab"
      serverUrl: "https://gitlab.cern.ch"
  groovy:
    installations:
    - name: "Groovy-2.2.1"
      properties:
      - installSource:
          installers:
          - zip:
              subdir: "groovy-2.2.1"
              url: "http://dl.bintray.com/groovy/maven/groovy-binary-2.2.1.zip"
  mavenModuleSet:
    localRepository: "default"
  pViewProjectProperty:
    treeSplitChar: "-"
  pollSCM:
    pollingThreadCount: 10
  timestamper:
    allPipelines: false
    elapsedTimeFormat: "'<b>'HH:mm:ss.S'</b> '"
    systemTimeFormat: "'<b>'HH:mm:ss'</b> '"

